<?php
/**
 * Plugin Name: Facebook Open Graph by WPJohnny
 * Description: Adds Facebook Open Graph meta tag information to your website.
 * Author: WPJohnny
 * Author URI: https://wpjohnny.com/
 * Version: 0.1.2
 * Text Domain: wpj-open-graph
 * Domain Path: /languages/
 */

/**
 * Do not load this file directly.
 *
 * @since 0.1.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Bootstrap CMB2 library.
 */
require_once plugin_dir_path( __FILE__ ) . 'vendor/cmb2/init.php';

/**
 * Load in front-end functionality.
 *
 * @since 0.1.0
 */
require plugin_dir_path( __FILE__ ) . 'public/class-wpj-opengraph.php';

/**
 * Instantiate WPJ_OpenGraph on `plugins_loaded`.
 *
 * @since 0.1.0
 */
add_action( 'plugins_loaded', array( WPJ_OpenGraph::get_instance(), 'init' ) );

/**
 * Load in Dashboard functionality and kick off the primary admin class on `plugins_loaded`.
 *
 * @since 0.1.0
 */
if ( is_admin() && ( ! defined( 'DOING_AJAX' ) || ! DOING_AJAX ) ) {
	require plugin_dir_path( __FILE__ ) . 'admin/class-wpj-opengraph-admin.php';

	add_action( 'plugins_loaded', array( WPJ_OpenGraph_Admin::get_instance(), 'init' ) );
}